XkbQueryExtension(3)

NAME
XkbQueryExtension - Determines the compatibility of a library at runtime.

SYNOPSIS

Bool XkbQueryExtension (Display *dpy, int *opcode_rtrn, int *event_rtrn, int *error_rtrn, int *major_in_out, int *minor_in_out);

ARGUMENTS

dpy connection to the X server

opcode_rtrn
    backfilled with the major extension opcode

event_rtrn
    backfilled with the extension base event code

error_rtrn
    backfilled with the extension base error code

major_in_out
    compile time lib major version in, server major version out

minor_in_out
    compile time lib min version in, server minor version out

DESCRIPTION

Call XkbQueryExtension to check for the presence and compatibility of the extension in the server and to initialize the extension. Because of potential version mismatches, you cannot use the generic extension mechanism functions ( XQueryExtension and XInitExtension ) for checking for the presence of, and initializing the Xkb extension.

You must call XkbQueryExtension or XkbOpenDisplay before using any other Xkb library interfaces, unless such usage is explicitly allowed in the interface description in this document. The exceptions are: XkbIgnoreExtension, XkbLibraryVersion, and a handful of audible-bell functions. You should not use any other Xkb functions if the extension is not present or is uninitialized. In general, calls to Xkb library functions made prior to initializing the Xkb extension cause BadAccess protocol errors. XkbQueryExtension both determines whether a compatible Xkb extension is present in the X server and initializes the extension when it is present. The XkbQueryExtension function determines whether a compatible version of the X Keyboard Extension is present in the server. If a compatible extension is present, XkbQueryExtension returns True; otherwise, it returns False. If a compatible version of Xkb is present, XkbQueryExtension initializes the extension. It backfills the major opcode for the keyboard extension in opcode_rtrn, the base event code in event_rtrn, the base error code in error_rtrn, and the major and minor version numbers of the extension in major_in_out and minor_in_out. The major opcode is reported in the req_major fields of some Xkb events. For a discussion of the base event code.

RETURN VALUES

True
    The XkbQueryExtension function returns True if it determines a compatible version of the X Keyboard Extension is present in the server.

False
    The XkbQueryExtension function returns False if it determines a compatible version of the X Keyboard Extension is not present in the server.

SEE ALSO
XkbIgnoreExtension(3), XkbLibraryVersion(3), XkbOpenDisplay(3)